<template>
  <TopBar />
  <div class="workspace">
    <SidebarLeft />
    <CanvasArea />
    <SidebarRight />
  </div>
</template>

<script setup>
import { onMounted } from 'vue';
import TopBar from './components/TopBar.vue';
import SidebarLeft from './components/SidebarLeft.vue';
import SidebarRight from './components/SidebarRight.vue';
import CanvasArea from './components/CanvasArea.vue';
import { useEditorStore } from './stores/editor';

const store = useEditorStore();

onMounted(() => {
    store.loadConfig();
    store.loadKnxAddresses();
});
</script>